local _, addon = ...

local function ThreatOverride(self, event, unit)
	if(unit ~= self.unit) then return end

	local status = UnitThreatSituation(unit)
	if(status and status > 1) then
		local r, g, b = GetThreatStatusColor(status)
		self.Border:SetBackdropBorderColor(r, g, b, 1)
	else
		self.Border:SetBackdropBorderColor(0, 0, 0, 1)
	end
end

local Update = function(self)
	
end

local Enable = function(self)
	self.Border = CreateFrame("Frame", nil, self)
	self.Border:SetFrameLevel(self:GetFrameLevel())
	self.Border:SetPoint("TOPLEFT", -4, 4)
	self.Border:SetPoint("BOTTOMRIGHT", 4, -4)
	self.Border:SetBackdrop(addon.glowBorder)
	self.Border:SetBackdropColor(0, 0, 0, 1)
	self.Border:SetBackdropBorderColor(0, 0, 0, 1)

	self.Threat = self.Health:CreateTexture()
	self.Threat:Hide()
	self.Threat.Override = ThreatOverride
end

addon:AddMod("Border", Update, Enable)

